# Generated by Django 3.2.4 on 2021-06-07 12:36

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Contact',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('c_name', models.CharField(max_length=128, verbose_name='Votre nom')),
                ('c_email', models.EmailField(max_length=254, verbose_name='Votre emails')),
                ('c_type', models.CharField(choices=[('contact', 'Pour un contact'), ('beug', 'Pour un beug'), ('plainte', 'Pour une plainte')], default='contact', max_length=16, verbose_name='Type de demande')),
                ('c_description', models.TextField(verbose_name='Votre demande')),
                ('c_statut', models.CharField(choices=[('non_lu', 'Non Lu'), ('lu', 'Lu'), ('archive', 'Archivé')], default='non_lu', max_length=16, verbose_name='Statut de la demande')),
            ],
        ),
        migrations.CreateModel(
            name='Page',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('p_titre', models.CharField(max_length=128, unique=True, verbose_name='Titre')),
                ('p_titre_slugify', models.CharField(blank=True, editable=False, max_length=128, verbose_name='Titre Slugify')),
                ('p_icone', models.CharField(blank=True, max_length=32, verbose_name="Code de l'icone")),
                ('p_type', models.CharField(choices=[('page', 'Une page'), ('sys', 'Une page interne'), ('lien', 'Un lien')], default='page', max_length=4, verbose_name='Type de page')),
                ('p_adresse', models.CharField(max_length=64, verbose_name='Adresse')),
                ('p_menu_position', models.CharField(choices=[('no', 'No'), ('haut', 'En haut'), ('cote', 'Sur le coté'), ('pied', 'En pied de page')], default='no', max_length=4, verbose_name='A utiliser dans un menu ?')),
                ('p_menu_poid', models.PositiveSmallIntegerField(default=50, verbose_name='Poid si utilisé dans les menus')),
                ('p_mots_clefs', models.CharField(blank=True, max_length=512, verbose_name='Mots clefs')),
                ('p_description', models.TextField(blank=True, verbose_name='Description')),
                ('p_contenu', models.TextField(blank=True, verbose_name='Contenu')),
                ('p_right', models.TextField(blank=True, verbose_name='Contenu à droite')),
                ('p_publier', models.BooleanField(default=False, verbose_name='Publié')),
                ('p_see_title_and_des_in_templates', models.BooleanField(default=True, verbose_name='Description et titre visible dans les templates')),
            ],
            options={
                'verbose_name': 'Gestion des pages',
                'verbose_name_plural': 'Gestion des pages',
                'ordering': ['p_adresse'],
            },
        ),
    ]
